package saccubus.worker.profile;

/**
 *
 * @author yuki
 */
public interface FfmpegProfile {

    /**
     * @return 変換後動画ファイルの拡張子.
     * 最初にドットを付け, ".mp4" というような形式を返します.
     */
    String getExtOption();

    String getInOption();

    String getMainOption();

    String getOutOption();

    String getAvfilterOption();

    boolean isResize();

    int getResizeWidth();

    int getResizeHeight();

    boolean isAdjustRatio();
}
